<?php

namespace Aws\Chime;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Amazon Chime** service.
 * @method Result associatePhoneNumberWithUser( array $args = [] )
 * @method Promise associatePhoneNumberWithUserAsync( array $args = [] )
 * @method Result associatePhoneNumbersWithVoiceConnector( array $args = [] )
 * @method Promise associatePhoneNumbersWithVoiceConnectorAsync( array $args = [] )
 * @method Result batchDeletePhoneNumber( array $args = [] )
 * @method Promise batchDeletePhoneNumberAsync( array $args = [] )
 * @method Result batchSuspendUser( array $args = [] )
 * @method Promise batchSuspendUserAsync( array $args = [] )
 * @method Result batchUnsuspendUser( array $args = [] )
 * @method Promise batchUnsuspendUserAsync( array $args = [] )
 * @method Result batchUpdatePhoneNumber( array $args = [] )
 * @method Promise batchUpdatePhoneNumberAsync( array $args = [] )
 * @method Result batchUpdateUser( array $args = [] )
 * @method Promise batchUpdateUserAsync( array $args = [] )
 * @method Result createAccount( array $args = [] )
 * @method Promise createAccountAsync( array $args = [] )
 * @method Result createBot( array $args = [] )
 * @method Promise createBotAsync( array $args = [] )
 * @method Result createPhoneNumberOrder( array $args = [] )
 * @method Promise createPhoneNumberOrderAsync( array $args = [] )
 * @method Result createVoiceConnector( array $args = [] )
 * @method Promise createVoiceConnectorAsync( array $args = [] )
 * @method Result deleteAccount( array $args = [] )
 * @method Promise deleteAccountAsync( array $args = [] )
 * @method Result deleteEventsConfiguration( array $args = [] )
 * @method Promise deleteEventsConfigurationAsync( array $args = [] )
 * @method Result deletePhoneNumber( array $args = [] )
 * @method Promise deletePhoneNumberAsync( array $args = [] )
 * @method Result deleteVoiceConnector( array $args = [] )
 * @method Promise deleteVoiceConnectorAsync( array $args = [] )
 * @method Result deleteVoiceConnectorOrigination( array $args = [] )
 * @method Promise deleteVoiceConnectorOriginationAsync( array $args = [] )
 * @method Result deleteVoiceConnectorTermination( array $args = [] )
 * @method Promise deleteVoiceConnectorTerminationAsync( array $args = [] )
 * @method Result deleteVoiceConnectorTerminationCredentials( array $args = [] )
 * @method Promise deleteVoiceConnectorTerminationCredentialsAsync( array $args = [] )
 * @method Result disassociatePhoneNumberFromUser( array $args = [] )
 * @method Promise disassociatePhoneNumberFromUserAsync( array $args = [] )
 * @method Result disassociatePhoneNumbersFromVoiceConnector( array $args = [] )
 * @method Promise disassociatePhoneNumbersFromVoiceConnectorAsync( array $args = [] )
 * @method Result getAccount( array $args = [] )
 * @method Promise getAccountAsync( array $args = [] )
 * @method Result getAccountSettings( array $args = [] )
 * @method Promise getAccountSettingsAsync( array $args = [] )
 * @method Result getBot( array $args = [] )
 * @method Promise getBotAsync( array $args = [] )
 * @method Result getEventsConfiguration( array $args = [] )
 * @method Promise getEventsConfigurationAsync( array $args = [] )
 * @method Result getGlobalSettings( array $args = [] )
 * @method Promise getGlobalSettingsAsync( array $args = [] )
 * @method Result getPhoneNumber( array $args = [] )
 * @method Promise getPhoneNumberAsync( array $args = [] )
 * @method Result getPhoneNumberOrder( array $args = [] )
 * @method Promise getPhoneNumberOrderAsync( array $args = [] )
 * @method Result getUser( array $args = [] )
 * @method Promise getUserAsync( array $args = [] )
 * @method Result getUserSettings( array $args = [] )
 * @method Promise getUserSettingsAsync( array $args = [] )
 * @method Result getVoiceConnector( array $args = [] )
 * @method Promise getVoiceConnectorAsync( array $args = [] )
 * @method Result getVoiceConnectorOrigination( array $args = [] )
 * @method Promise getVoiceConnectorOriginationAsync( array $args = [] )
 * @method Result getVoiceConnectorTermination( array $args = [] )
 * @method Promise getVoiceConnectorTerminationAsync( array $args = [] )
 * @method Result getVoiceConnectorTerminationHealth( array $args = [] )
 * @method Promise getVoiceConnectorTerminationHealthAsync( array $args = [] )
 * @method Result inviteUsers( array $args = [] )
 * @method Promise inviteUsersAsync( array $args = [] )
 * @method Result listAccounts( array $args = [] )
 * @method Promise listAccountsAsync( array $args = [] )
 * @method Result listBots( array $args = [] )
 * @method Promise listBotsAsync( array $args = [] )
 * @method Result listPhoneNumberOrders( array $args = [] )
 * @method Promise listPhoneNumberOrdersAsync( array $args = [] )
 * @method Result listPhoneNumbers( array $args = [] )
 * @method Promise listPhoneNumbersAsync( array $args = [] )
 * @method Result listUsers( array $args = [] )
 * @method Promise listUsersAsync( array $args = [] )
 * @method Result listVoiceConnectorTerminationCredentials( array $args = [] )
 * @method Promise listVoiceConnectorTerminationCredentialsAsync( array $args = [] )
 * @method Result listVoiceConnectors( array $args = [] )
 * @method Promise listVoiceConnectorsAsync( array $args = [] )
 * @method Result logoutUser( array $args = [] )
 * @method Promise logoutUserAsync( array $args = [] )
 * @method Result putEventsConfiguration( array $args = [] )
 * @method Promise putEventsConfigurationAsync( array $args = [] )
 * @method Result putVoiceConnectorOrigination( array $args = [] )
 * @method Promise putVoiceConnectorOriginationAsync( array $args = [] )
 * @method Result putVoiceConnectorTermination( array $args = [] )
 * @method Promise putVoiceConnectorTerminationAsync( array $args = [] )
 * @method Result putVoiceConnectorTerminationCredentials( array $args = [] )
 * @method Promise putVoiceConnectorTerminationCredentialsAsync( array $args = [] )
 * @method Result regenerateSecurityToken( array $args = [] )
 * @method Promise regenerateSecurityTokenAsync( array $args = [] )
 * @method Result resetPersonalPIN( array $args = [] )
 * @method Promise resetPersonalPINAsync( array $args = [] )
 * @method Result restorePhoneNumber( array $args = [] )
 * @method Promise restorePhoneNumberAsync( array $args = [] )
 * @method Result searchAvailablePhoneNumbers( array $args = [] )
 * @method Promise searchAvailablePhoneNumbersAsync( array $args = [] )
 * @method Result updateAccount( array $args = [] )
 * @method Promise updateAccountAsync( array $args = [] )
 * @method Result updateAccountSettings( array $args = [] )
 * @method Promise updateAccountSettingsAsync( array $args = [] )
 * @method Result updateBot( array $args = [] )
 * @method Promise updateBotAsync( array $args = [] )
 * @method Result updateGlobalSettings( array $args = [] )
 * @method Promise updateGlobalSettingsAsync( array $args = [] )
 * @method Result updatePhoneNumber( array $args = [] )
 * @method Promise updatePhoneNumberAsync( array $args = [] )
 * @method Result updateUser( array $args = [] )
 * @method Promise updateUserAsync( array $args = [] )
 * @method Result updateUserSettings( array $args = [] )
 * @method Promise updateUserSettingsAsync( array $args = [] )
 * @method Result updateVoiceConnector( array $args = [] )
 * @method Promise updateVoiceConnectorAsync( array $args = [] )
 */
class ChimeClient extends AwsClient {
}
