<?php

namespace Aws\MTurk;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Amazon Mechanical Turk Requester Service** service.
 * @method Result acceptQualificationRequest( array $args = [] )
 * @method Promise acceptQualificationRequestAsync( array $args = [] )
 * @method Result approveAssignment( array $args = [] )
 * @method Promise approveAssignmentAsync( array $args = [] )
 * @method Result associateQualificationWithWorker( array $args = [] )
 * @method Promise associateQualificationWithWorkerAsync( array $args = [] )
 * @method Result createAdditionalAssignmentsForHIT( array $args = [] )
 * @method Promise createAdditionalAssignmentsForHITAsync( array $args = [] )
 * @method Result createHIT( array $args = [] )
 * @method Promise createHITAsync( array $args = [] )
 * @method Result createHITType( array $args = [] )
 * @method Promise createHITTypeAsync( array $args = [] )
 * @method Result createHITWithHITType( array $args = [] )
 * @method Promise createHITWithHITTypeAsync( array $args = [] )
 * @method Result createQualificationType( array $args = [] )
 * @method Promise createQualificationTypeAsync( array $args = [] )
 * @method Result createWorkerBlock( array $args = [] )
 * @method Promise createWorkerBlockAsync( array $args = [] )
 * @method Result deleteHIT( array $args = [] )
 * @method Promise deleteHITAsync( array $args = [] )
 * @method Result deleteQualificationType( array $args = [] )
 * @method Promise deleteQualificationTypeAsync( array $args = [] )
 * @method Result deleteWorkerBlock( array $args = [] )
 * @method Promise deleteWorkerBlockAsync( array $args = [] )
 * @method Result disassociateQualificationFromWorker( array $args = [] )
 * @method Promise disassociateQualificationFromWorkerAsync( array $args = [] )
 * @method Result getAccountBalance( array $args = [] )
 * @method Promise getAccountBalanceAsync( array $args = [] )
 * @method Result getAssignment( array $args = [] )
 * @method Promise getAssignmentAsync( array $args = [] )
 * @method Result getFileUploadURL( array $args = [] )
 * @method Promise getFileUploadURLAsync( array $args = [] )
 * @method Result getHIT( array $args = [] )
 * @method Promise getHITAsync( array $args = [] )
 * @method Result getQualificationScore( array $args = [] )
 * @method Promise getQualificationScoreAsync( array $args = [] )
 * @method Result getQualificationType( array $args = [] )
 * @method Promise getQualificationTypeAsync( array $args = [] )
 * @method Result listAssignmentsForHIT( array $args = [] )
 * @method Promise listAssignmentsForHITAsync( array $args = [] )
 * @method Result listBonusPayments( array $args = [] )
 * @method Promise listBonusPaymentsAsync( array $args = [] )
 * @method Result listHITs( array $args = [] )
 * @method Promise listHITsAsync( array $args = [] )
 * @method Result listHITsForQualificationType( array $args = [] )
 * @method Promise listHITsForQualificationTypeAsync( array $args = [] )
 * @method Result listQualificationRequests( array $args = [] )
 * @method Promise listQualificationRequestsAsync( array $args = [] )
 * @method Result listQualificationTypes( array $args = [] )
 * @method Promise listQualificationTypesAsync( array $args = [] )
 * @method Result listReviewPolicyResultsForHIT( array $args = [] )
 * @method Promise listReviewPolicyResultsForHITAsync( array $args = [] )
 * @method Result listReviewableHITs( array $args = [] )
 * @method Promise listReviewableHITsAsync( array $args = [] )
 * @method Result listWorkerBlocks( array $args = [] )
 * @method Promise listWorkerBlocksAsync( array $args = [] )
 * @method Result listWorkersWithQualificationType( array $args = [] )
 * @method Promise listWorkersWithQualificationTypeAsync( array $args = [] )
 * @method Result notifyWorkers( array $args = [] )
 * @method Promise notifyWorkersAsync( array $args = [] )
 * @method Result rejectAssignment( array $args = [] )
 * @method Promise rejectAssignmentAsync( array $args = [] )
 * @method Result rejectQualificationRequest( array $args = [] )
 * @method Promise rejectQualificationRequestAsync( array $args = [] )
 * @method Result sendBonus( array $args = [] )
 * @method Promise sendBonusAsync( array $args = [] )
 * @method Result sendTestEventNotification( array $args = [] )
 * @method Promise sendTestEventNotificationAsync( array $args = [] )
 * @method Result updateExpirationForHIT( array $args = [] )
 * @method Promise updateExpirationForHITAsync( array $args = [] )
 * @method Result updateHITReviewStatus( array $args = [] )
 * @method Promise updateHITReviewStatusAsync( array $args = [] )
 * @method Result updateHITTypeOfHIT( array $args = [] )
 * @method Promise updateHITTypeOfHITAsync( array $args = [] )
 * @method Result updateNotificationSettings( array $args = [] )
 * @method Promise updateNotificationSettingsAsync( array $args = [] )
 * @method Result updateQualificationType( array $args = [] )
 * @method Promise updateQualificationTypeAsync( array $args = [] )
 */
class MTurkClient extends AwsClient {
}
