<?php

namespace Aws\Redshift;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Amazon Redshift** service.
 *
 * @method Result acceptReservedNodeExchange( array $args = [] )
 * @method Promise acceptReservedNodeExchangeAsync( array $args = [] )
 * @method Result authorizeClusterSecurityGroupIngress( array $args = [] )
 * @method Promise authorizeClusterSecurityGroupIngressAsync( array $args = [] )
 * @method Result authorizeSnapshotAccess( array $args = [] )
 * @method Promise authorizeSnapshotAccessAsync( array $args = [] )
 * @method Result batchDeleteClusterSnapshots( array $args = [] )
 * @method Promise batchDeleteClusterSnapshotsAsync( array $args = [] )
 * @method Result batchModifyClusterSnapshots( array $args = [] )
 * @method Promise batchModifyClusterSnapshotsAsync( array $args = [] )
 * @method Result cancelResize( array $args = [] )
 * @method Promise cancelResizeAsync( array $args = [] )
 * @method Result copyClusterSnapshot( array $args = [] )
 * @method Promise copyClusterSnapshotAsync( array $args = [] )
 * @method Result createCluster( array $args = [] )
 * @method Promise createClusterAsync( array $args = [] )
 * @method Result createClusterParameterGroup( array $args = [] )
 * @method Promise createClusterParameterGroupAsync( array $args = [] )
 * @method Result createClusterSecurityGroup( array $args = [] )
 * @method Promise createClusterSecurityGroupAsync( array $args = [] )
 * @method Result createClusterSnapshot( array $args = [] )
 * @method Promise createClusterSnapshotAsync( array $args = [] )
 * @method Result createClusterSubnetGroup( array $args = [] )
 * @method Promise createClusterSubnetGroupAsync( array $args = [] )
 * @method Result createEventSubscription( array $args = [] )
 * @method Promise createEventSubscriptionAsync( array $args = [] )
 * @method Result createHsmClientCertificate( array $args = [] )
 * @method Promise createHsmClientCertificateAsync( array $args = [] )
 * @method Result createHsmConfiguration( array $args = [] )
 * @method Promise createHsmConfigurationAsync( array $args = [] )
 * @method Result createSnapshotCopyGrant( array $args = [] )
 * @method Promise createSnapshotCopyGrantAsync( array $args = [] )
 * @method Result createSnapshotSchedule( array $args = [] )
 * @method Promise createSnapshotScheduleAsync( array $args = [] )
 * @method Result createTags( array $args = [] )
 * @method Promise createTagsAsync( array $args = [] )
 * @method Result deleteCluster( array $args = [] )
 * @method Promise deleteClusterAsync( array $args = [] )
 * @method Result deleteClusterParameterGroup( array $args = [] )
 * @method Promise deleteClusterParameterGroupAsync( array $args = [] )
 * @method Result deleteClusterSecurityGroup( array $args = [] )
 * @method Promise deleteClusterSecurityGroupAsync( array $args = [] )
 * @method Result deleteClusterSnapshot( array $args = [] )
 * @method Promise deleteClusterSnapshotAsync( array $args = [] )
 * @method Result deleteClusterSubnetGroup( array $args = [] )
 * @method Promise deleteClusterSubnetGroupAsync( array $args = [] )
 * @method Result deleteEventSubscription( array $args = [] )
 * @method Promise deleteEventSubscriptionAsync( array $args = [] )
 * @method Result deleteHsmClientCertificate( array $args = [] )
 * @method Promise deleteHsmClientCertificateAsync( array $args = [] )
 * @method Result deleteHsmConfiguration( array $args = [] )
 * @method Promise deleteHsmConfigurationAsync( array $args = [] )
 * @method Result deleteSnapshotCopyGrant( array $args = [] )
 * @method Promise deleteSnapshotCopyGrantAsync( array $args = [] )
 * @method Result deleteSnapshotSchedule( array $args = [] )
 * @method Promise deleteSnapshotScheduleAsync( array $args = [] )
 * @method Result deleteTags( array $args = [] )
 * @method Promise deleteTagsAsync( array $args = [] )
 * @method Result describeAccountAttributes( array $args = [] )
 * @method Promise describeAccountAttributesAsync( array $args = [] )
 * @method Result describeClusterDbRevisions( array $args = [] )
 * @method Promise describeClusterDbRevisionsAsync( array $args = [] )
 * @method Result describeClusterParameterGroups( array $args = [] )
 * @method Promise describeClusterParameterGroupsAsync( array $args = [] )
 * @method Result describeClusterParameters( array $args = [] )
 * @method Promise describeClusterParametersAsync( array $args = [] )
 * @method Result describeClusterSecurityGroups( array $args = [] )
 * @method Promise describeClusterSecurityGroupsAsync( array $args = [] )
 * @method Result describeClusterSnapshots( array $args = [] )
 * @method Promise describeClusterSnapshotsAsync( array $args = [] )
 * @method Result describeClusterSubnetGroups( array $args = [] )
 * @method Promise describeClusterSubnetGroupsAsync( array $args = [] )
 * @method Result describeClusterTracks( array $args = [] )
 * @method Promise describeClusterTracksAsync( array $args = [] )
 * @method Result describeClusterVersions( array $args = [] )
 * @method Promise describeClusterVersionsAsync( array $args = [] )
 * @method Result describeClusters( array $args = [] )
 * @method Promise describeClustersAsync( array $args = [] )
 * @method Result describeDefaultClusterParameters( array $args = [] )
 * @method Promise describeDefaultClusterParametersAsync( array $args = [] )
 * @method Result describeEventCategories( array $args = [] )
 * @method Promise describeEventCategoriesAsync( array $args = [] )
 * @method Result describeEventSubscriptions( array $args = [] )
 * @method Promise describeEventSubscriptionsAsync( array $args = [] )
 * @method Result describeEvents( array $args = [] )
 * @method Promise describeEventsAsync( array $args = [] )
 * @method Result describeHsmClientCertificates( array $args = [] )
 * @method Promise describeHsmClientCertificatesAsync( array $args = [] )
 * @method Result describeHsmConfigurations( array $args = [] )
 * @method Promise describeHsmConfigurationsAsync( array $args = [] )
 * @method Result describeLoggingStatus( array $args = [] )
 * @method Promise describeLoggingStatusAsync( array $args = [] )
 * @method Result describeOrderableClusterOptions( array $args = [] )
 * @method Promise describeOrderableClusterOptionsAsync( array $args = [] )
 * @method Result describeReservedNodeOfferings( array $args = [] )
 * @method Promise describeReservedNodeOfferingsAsync( array $args = [] )
 * @method Result describeReservedNodes( array $args = [] )
 * @method Promise describeReservedNodesAsync( array $args = [] )
 * @method Result describeResize( array $args = [] )
 * @method Promise describeResizeAsync( array $args = [] )
 * @method Result describeSnapshotCopyGrants( array $args = [] )
 * @method Promise describeSnapshotCopyGrantsAsync( array $args = [] )
 * @method Result describeSnapshotSchedules( array $args = [] )
 * @method Promise describeSnapshotSchedulesAsync( array $args = [] )
 * @method Result describeStorage( array $args = [] )
 * @method Promise describeStorageAsync( array $args = [] )
 * @method Result describeTableRestoreStatus( array $args = [] )
 * @method Promise describeTableRestoreStatusAsync( array $args = [] )
 * @method Result describeTags( array $args = [] )
 * @method Promise describeTagsAsync( array $args = [] )
 * @method Result disableLogging( array $args = [] )
 * @method Promise disableLoggingAsync( array $args = [] )
 * @method Result disableSnapshotCopy( array $args = [] )
 * @method Promise disableSnapshotCopyAsync( array $args = [] )
 * @method Result enableLogging( array $args = [] )
 * @method Promise enableLoggingAsync( array $args = [] )
 * @method Result enableSnapshotCopy( array $args = [] )
 * @method Promise enableSnapshotCopyAsync( array $args = [] )
 * @method Result getClusterCredentials( array $args = [] )
 * @method Promise getClusterCredentialsAsync( array $args = [] )
 * @method Result getReservedNodeExchangeOfferings( array $args = [] )
 * @method Promise getReservedNodeExchangeOfferingsAsync( array $args = [] )
 * @method Result modifyCluster( array $args = [] )
 * @method Promise modifyClusterAsync( array $args = [] )
 * @method Result modifyClusterDbRevision( array $args = [] )
 * @method Promise modifyClusterDbRevisionAsync( array $args = [] )
 * @method Result modifyClusterIamRoles( array $args = [] )
 * @method Promise modifyClusterIamRolesAsync( array $args = [] )
 * @method Result modifyClusterMaintenance( array $args = [] )
 * @method Promise modifyClusterMaintenanceAsync( array $args = [] )
 * @method Result modifyClusterParameterGroup( array $args = [] )
 * @method Promise modifyClusterParameterGroupAsync( array $args = [] )
 * @method Result modifyClusterSnapshot( array $args = [] )
 * @method Promise modifyClusterSnapshotAsync( array $args = [] )
 * @method Result modifyClusterSnapshotSchedule( array $args = [] )
 * @method Promise modifyClusterSnapshotScheduleAsync( array $args = [] )
 * @method Result modifyClusterSubnetGroup( array $args = [] )
 * @method Promise modifyClusterSubnetGroupAsync( array $args = [] )
 * @method Result modifyEventSubscription( array $args = [] )
 * @method Promise modifyEventSubscriptionAsync( array $args = [] )
 * @method Result modifySnapshotCopyRetentionPeriod( array $args = [] )
 * @method Promise modifySnapshotCopyRetentionPeriodAsync( array $args = [] )
 * @method Result modifySnapshotSchedule( array $args = [] )
 * @method Promise modifySnapshotScheduleAsync( array $args = [] )
 * @method Result purchaseReservedNodeOffering( array $args = [] )
 * @method Promise purchaseReservedNodeOfferingAsync( array $args = [] )
 * @method Result rebootCluster( array $args = [] )
 * @method Promise rebootClusterAsync( array $args = [] )
 * @method Result resetClusterParameterGroup( array $args = [] )
 * @method Promise resetClusterParameterGroupAsync( array $args = [] )
 * @method Result resizeCluster( array $args = [] )
 * @method Promise resizeClusterAsync( array $args = [] )
 * @method Result restoreFromClusterSnapshot( array $args = [] )
 * @method Promise restoreFromClusterSnapshotAsync( array $args = [] )
 * @method Result restoreTableFromClusterSnapshot( array $args = [] )
 * @method Promise restoreTableFromClusterSnapshotAsync( array $args = [] )
 * @method Result revokeClusterSecurityGroupIngress( array $args = [] )
 * @method Promise revokeClusterSecurityGroupIngressAsync( array $args = [] )
 * @method Result revokeSnapshotAccess( array $args = [] )
 * @method Promise revokeSnapshotAccessAsync( array $args = [] )
 * @method Result rotateEncryptionKey( array $args = [] )
 * @method Promise rotateEncryptionKeyAsync( array $args = [] )
 */
class RedshiftClient extends AwsClient {
}
