<?php

namespace Aws\WorkSpaces;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * Amazon WorkSpaces client.
 *
 * @method Result associateIpGroups( array $args = [] )
 * @method Promise associateIpGroupsAsync( array $args = [] )
 * @method Result authorizeIpRules( array $args = [] )
 * @method Promise authorizeIpRulesAsync( array $args = [] )
 * @method Result copyWorkspaceImage( array $args = [] )
 * @method Promise copyWorkspaceImageAsync( array $args = [] )
 * @method Result createIpGroup( array $args = [] )
 * @method Promise createIpGroupAsync( array $args = [] )
 * @method Result createTags( array $args = [] )
 * @method Promise createTagsAsync( array $args = [] )
 * @method Result createWorkspaces( array $args = [] )
 * @method Promise createWorkspacesAsync( array $args = [] )
 * @method Result deleteIpGroup( array $args = [] )
 * @method Promise deleteIpGroupAsync( array $args = [] )
 * @method Result deleteTags( array $args = [] )
 * @method Promise deleteTagsAsync( array $args = [] )
 * @method Result deleteWorkspaceImage( array $args = [] )
 * @method Promise deleteWorkspaceImageAsync( array $args = [] )
 * @method Result describeAccount( array $args = [] )
 * @method Promise describeAccountAsync( array $args = [] )
 * @method Result describeAccountModifications( array $args = [] )
 * @method Promise describeAccountModificationsAsync( array $args = [] )
 * @method Result describeClientProperties( array $args = [] )
 * @method Promise describeClientPropertiesAsync( array $args = [] )
 * @method Result describeIpGroups( array $args = [] )
 * @method Promise describeIpGroupsAsync( array $args = [] )
 * @method Result describeTags( array $args = [] )
 * @method Promise describeTagsAsync( array $args = [] )
 * @method Result describeWorkspaceBundles( array $args = [] )
 * @method Promise describeWorkspaceBundlesAsync( array $args = [] )
 * @method Result describeWorkspaceDirectories( array $args = [] )
 * @method Promise describeWorkspaceDirectoriesAsync( array $args = [] )
 * @method Result describeWorkspaceImages( array $args = [] )
 * @method Promise describeWorkspaceImagesAsync( array $args = [] )
 * @method Result describeWorkspaces( array $args = [] )
 * @method Promise describeWorkspacesAsync( array $args = [] )
 * @method Result describeWorkspacesConnectionStatus( array $args = [] )
 * @method Promise describeWorkspacesConnectionStatusAsync( array $args = [] )
 * @method Result disassociateIpGroups( array $args = [] )
 * @method Promise disassociateIpGroupsAsync( array $args = [] )
 * @method Result importWorkspaceImage( array $args = [] )
 * @method Promise importWorkspaceImageAsync( array $args = [] )
 * @method Result listAvailableManagementCidrRanges( array $args = [] )
 * @method Promise listAvailableManagementCidrRangesAsync( array $args = [] )
 * @method Result modifyAccount( array $args = [] )
 * @method Promise modifyAccountAsync( array $args = [] )
 * @method Result modifyClientProperties( array $args = [] )
 * @method Promise modifyClientPropertiesAsync( array $args = [] )
 * @method Result modifyWorkspaceProperties( array $args = [] )
 * @method Promise modifyWorkspacePropertiesAsync( array $args = [] )
 * @method Result modifyWorkspaceState( array $args = [] )
 * @method Promise modifyWorkspaceStateAsync( array $args = [] )
 * @method Result rebootWorkspaces( array $args = [] )
 * @method Promise rebootWorkspacesAsync( array $args = [] )
 * @method Result rebuildWorkspaces( array $args = [] )
 * @method Promise rebuildWorkspacesAsync( array $args = [] )
 * @method Result revokeIpRules( array $args = [] )
 * @method Promise revokeIpRulesAsync( array $args = [] )
 * @method Result startWorkspaces( array $args = [] )
 * @method Promise startWorkspacesAsync( array $args = [] )
 * @method Result stopWorkspaces( array $args = [] )
 * @method Promise stopWorkspacesAsync( array $args = [] )
 * @method Result terminateWorkspaces( array $args = [] )
 * @method Promise terminateWorkspacesAsync( array $args = [] )
 * @method Result updateRulesOfIpGroup( array $args = [] )
 * @method Promise updateRulesOfIpGroupAsync( array $args = [] )
 */
class WorkSpacesClient extends AwsClient {
}
