<?php

namespace Aws\Comprehend;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Amazon Comprehend** service.
 * @method Result batchDetectDominantLanguage( array $args = [] )
 * @method Promise batchDetectDominantLanguageAsync( array $args = [] )
 * @method Result batchDetectEntities( array $args = [] )
 * @method Promise batchDetectEntitiesAsync( array $args = [] )
 * @method Result batchDetectKeyPhrases( array $args = [] )
 * @method Promise batchDetectKeyPhrasesAsync( array $args = [] )
 * @method Result batchDetectSentiment( array $args = [] )
 * @method Promise batchDetectSentimentAsync( array $args = [] )
 * @method Result batchDetectSyntax( array $args = [] )
 * @method Promise batchDetectSyntaxAsync( array $args = [] )
 * @method Result createDocumentClassifier( array $args = [] )
 * @method Promise createDocumentClassifierAsync( array $args = [] )
 * @method Result createEntityRecognizer( array $args = [] )
 * @method Promise createEntityRecognizerAsync( array $args = [] )
 * @method Result deleteDocumentClassifier( array $args = [] )
 * @method Promise deleteDocumentClassifierAsync( array $args = [] )
 * @method Result deleteEntityRecognizer( array $args = [] )
 * @method Promise deleteEntityRecognizerAsync( array $args = [] )
 * @method Result describeDocumentClassificationJob( array $args = [] )
 * @method Promise describeDocumentClassificationJobAsync( array $args = [] )
 * @method Result describeDocumentClassifier( array $args = [] )
 * @method Promise describeDocumentClassifierAsync( array $args = [] )
 * @method Result describeDominantLanguageDetectionJob( array $args = [] )
 * @method Promise describeDominantLanguageDetectionJobAsync( array $args = [] )
 * @method Result describeEntitiesDetectionJob( array $args = [] )
 * @method Promise describeEntitiesDetectionJobAsync( array $args = [] )
 * @method Result describeEntityRecognizer( array $args = [] )
 * @method Promise describeEntityRecognizerAsync( array $args = [] )
 * @method Result describeKeyPhrasesDetectionJob( array $args = [] )
 * @method Promise describeKeyPhrasesDetectionJobAsync( array $args = [] )
 * @method Result describeSentimentDetectionJob( array $args = [] )
 * @method Promise describeSentimentDetectionJobAsync( array $args = [] )
 * @method Result describeTopicsDetectionJob( array $args = [] )
 * @method Promise describeTopicsDetectionJobAsync( array $args = [] )
 * @method Result detectDominantLanguage( array $args = [] )
 * @method Promise detectDominantLanguageAsync( array $args = [] )
 * @method Result detectEntities( array $args = [] )
 * @method Promise detectEntitiesAsync( array $args = [] )
 * @method Result detectKeyPhrases( array $args = [] )
 * @method Promise detectKeyPhrasesAsync( array $args = [] )
 * @method Result detectSentiment( array $args = [] )
 * @method Promise detectSentimentAsync( array $args = [] )
 * @method Result detectSyntax( array $args = [] )
 * @method Promise detectSyntaxAsync( array $args = [] )
 * @method Result listDocumentClassificationJobs( array $args = [] )
 * @method Promise listDocumentClassificationJobsAsync( array $args = [] )
 * @method Result listDocumentClassifiers( array $args = [] )
 * @method Promise listDocumentClassifiersAsync( array $args = [] )
 * @method Result listDominantLanguageDetectionJobs( array $args = [] )
 * @method Promise listDominantLanguageDetectionJobsAsync( array $args = [] )
 * @method Result listEntitiesDetectionJobs( array $args = [] )
 * @method Promise listEntitiesDetectionJobsAsync( array $args = [] )
 * @method Result listEntityRecognizers( array $args = [] )
 * @method Promise listEntityRecognizersAsync( array $args = [] )
 * @method Result listKeyPhrasesDetectionJobs( array $args = [] )
 * @method Promise listKeyPhrasesDetectionJobsAsync( array $args = [] )
 * @method Result listSentimentDetectionJobs( array $args = [] )
 * @method Promise listSentimentDetectionJobsAsync( array $args = [] )
 * @method Result listTagsForResource( array $args = [] )
 * @method Promise listTagsForResourceAsync( array $args = [] )
 * @method Result listTopicsDetectionJobs( array $args = [] )
 * @method Promise listTopicsDetectionJobsAsync( array $args = [] )
 * @method Result startDocumentClassificationJob( array $args = [] )
 * @method Promise startDocumentClassificationJobAsync( array $args = [] )
 * @method Result startDominantLanguageDetectionJob( array $args = [] )
 * @method Promise startDominantLanguageDetectionJobAsync( array $args = [] )
 * @method Result startEntitiesDetectionJob( array $args = [] )
 * @method Promise startEntitiesDetectionJobAsync( array $args = [] )
 * @method Result startKeyPhrasesDetectionJob( array $args = [] )
 * @method Promise startKeyPhrasesDetectionJobAsync( array $args = [] )
 * @method Result startSentimentDetectionJob( array $args = [] )
 * @method Promise startSentimentDetectionJobAsync( array $args = [] )
 * @method Result startTopicsDetectionJob( array $args = [] )
 * @method Promise startTopicsDetectionJobAsync( array $args = [] )
 * @method Result stopDominantLanguageDetectionJob( array $args = [] )
 * @method Promise stopDominantLanguageDetectionJobAsync( array $args = [] )
 * @method Result stopEntitiesDetectionJob( array $args = [] )
 * @method Promise stopEntitiesDetectionJobAsync( array $args = [] )
 * @method Result stopKeyPhrasesDetectionJob( array $args = [] )
 * @method Promise stopKeyPhrasesDetectionJobAsync( array $args = [] )
 * @method Result stopSentimentDetectionJob( array $args = [] )
 * @method Promise stopSentimentDetectionJobAsync( array $args = [] )
 * @method Result stopTrainingDocumentClassifier( array $args = [] )
 * @method Promise stopTrainingDocumentClassifierAsync( array $args = [] )
 * @method Result stopTrainingEntityRecognizer( array $args = [] )
 * @method Promise stopTrainingEntityRecognizerAsync( array $args = [] )
 * @method Result tagResource( array $args = [] )
 * @method Promise tagResourceAsync( array $args = [] )
 * @method Result untagResource( array $args = [] )
 * @method Promise untagResourceAsync( array $args = [] )
 */
class ComprehendClient extends AwsClient {
}
