<?php

namespace Aws\Glue;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **AWS Glue** service.
 * @method Result batchCreatePartition( array $args = [] )
 * @method Promise batchCreatePartitionAsync( array $args = [] )
 * @method Result batchDeleteConnection( array $args = [] )
 * @method Promise batchDeleteConnectionAsync( array $args = [] )
 * @method Result batchDeletePartition( array $args = [] )
 * @method Promise batchDeletePartitionAsync( array $args = [] )
 * @method Result batchDeleteTable( array $args = [] )
 * @method Promise batchDeleteTableAsync( array $args = [] )
 * @method Result batchDeleteTableVersion( array $args = [] )
 * @method Promise batchDeleteTableVersionAsync( array $args = [] )
 * @method Result batchGetCrawlers( array $args = [] )
 * @method Promise batchGetCrawlersAsync( array $args = [] )
 * @method Result batchGetDevEndpoints( array $args = [] )
 * @method Promise batchGetDevEndpointsAsync( array $args = [] )
 * @method Result batchGetJobs( array $args = [] )
 * @method Promise batchGetJobsAsync( array $args = [] )
 * @method Result batchGetPartition( array $args = [] )
 * @method Promise batchGetPartitionAsync( array $args = [] )
 * @method Result batchGetTriggers( array $args = [] )
 * @method Promise batchGetTriggersAsync( array $args = [] )
 * @method Result batchGetWorkflows( array $args = [] )
 * @method Promise batchGetWorkflowsAsync( array $args = [] )
 * @method Result batchStopJobRun( array $args = [] )
 * @method Promise batchStopJobRunAsync( array $args = [] )
 * @method Result createClassifier( array $args = [] )
 * @method Promise createClassifierAsync( array $args = [] )
 * @method Result createConnection( array $args = [] )
 * @method Promise createConnectionAsync( array $args = [] )
 * @method Result createCrawler( array $args = [] )
 * @method Promise createCrawlerAsync( array $args = [] )
 * @method Result createDatabase( array $args = [] )
 * @method Promise createDatabaseAsync( array $args = [] )
 * @method Result createDevEndpoint( array $args = [] )
 * @method Promise createDevEndpointAsync( array $args = [] )
 * @method Result createJob( array $args = [] )
 * @method Promise createJobAsync( array $args = [] )
 * @method Result createPartition( array $args = [] )
 * @method Promise createPartitionAsync( array $args = [] )
 * @method Result createScript( array $args = [] )
 * @method Promise createScriptAsync( array $args = [] )
 * @method Result createSecurityConfiguration( array $args = [] )
 * @method Promise createSecurityConfigurationAsync( array $args = [] )
 * @method Result createTable( array $args = [] )
 * @method Promise createTableAsync( array $args = [] )
 * @method Result createTrigger( array $args = [] )
 * @method Promise createTriggerAsync( array $args = [] )
 * @method Result createUserDefinedFunction( array $args = [] )
 * @method Promise createUserDefinedFunctionAsync( array $args = [] )
 * @method Result createWorkflow( array $args = [] )
 * @method Promise createWorkflowAsync( array $args = [] )
 * @method Result deleteClassifier( array $args = [] )
 * @method Promise deleteClassifierAsync( array $args = [] )
 * @method Result deleteConnection( array $args = [] )
 * @method Promise deleteConnectionAsync( array $args = [] )
 * @method Result deleteCrawler( array $args = [] )
 * @method Promise deleteCrawlerAsync( array $args = [] )
 * @method Result deleteDatabase( array $args = [] )
 * @method Promise deleteDatabaseAsync( array $args = [] )
 * @method Result deleteDevEndpoint( array $args = [] )
 * @method Promise deleteDevEndpointAsync( array $args = [] )
 * @method Result deleteJob( array $args = [] )
 * @method Promise deleteJobAsync( array $args = [] )
 * @method Result deletePartition( array $args = [] )
 * @method Promise deletePartitionAsync( array $args = [] )
 * @method Result deleteResourcePolicy( array $args = [] )
 * @method Promise deleteResourcePolicyAsync( array $args = [] )
 * @method Result deleteSecurityConfiguration( array $args = [] )
 * @method Promise deleteSecurityConfigurationAsync( array $args = [] )
 * @method Result deleteTable( array $args = [] )
 * @method Promise deleteTableAsync( array $args = [] )
 * @method Result deleteTableVersion( array $args = [] )
 * @method Promise deleteTableVersionAsync( array $args = [] )
 * @method Result deleteTrigger( array $args = [] )
 * @method Promise deleteTriggerAsync( array $args = [] )
 * @method Result deleteUserDefinedFunction( array $args = [] )
 * @method Promise deleteUserDefinedFunctionAsync( array $args = [] )
 * @method Result deleteWorkflow( array $args = [] )
 * @method Promise deleteWorkflowAsync( array $args = [] )
 * @method Result getCatalogImportStatus( array $args = [] )
 * @method Promise getCatalogImportStatusAsync( array $args = [] )
 * @method Result getClassifier( array $args = [] )
 * @method Promise getClassifierAsync( array $args = [] )
 * @method Result getClassifiers( array $args = [] )
 * @method Promise getClassifiersAsync( array $args = [] )
 * @method Result getConnection( array $args = [] )
 * @method Promise getConnectionAsync( array $args = [] )
 * @method Result getConnections( array $args = [] )
 * @method Promise getConnectionsAsync( array $args = [] )
 * @method Result getCrawler( array $args = [] )
 * @method Promise getCrawlerAsync( array $args = [] )
 * @method Result getCrawlerMetrics( array $args = [] )
 * @method Promise getCrawlerMetricsAsync( array $args = [] )
 * @method Result getCrawlers( array $args = [] )
 * @method Promise getCrawlersAsync( array $args = [] )
 * @method Result getDataCatalogEncryptionSettings( array $args = [] )
 * @method Promise getDataCatalogEncryptionSettingsAsync( array $args = [] )
 * @method Result getDatabase( array $args = [] )
 * @method Promise getDatabaseAsync( array $args = [] )
 * @method Result getDatabases( array $args = [] )
 * @method Promise getDatabasesAsync( array $args = [] )
 * @method Result getDataflowGraph( array $args = [] )
 * @method Promise getDataflowGraphAsync( array $args = [] )
 * @method Result getDevEndpoint( array $args = [] )
 * @method Promise getDevEndpointAsync( array $args = [] )
 * @method Result getDevEndpoints( array $args = [] )
 * @method Promise getDevEndpointsAsync( array $args = [] )
 * @method Result getJob( array $args = [] )
 * @method Promise getJobAsync( array $args = [] )
 * @method Result getJobRun( array $args = [] )
 * @method Promise getJobRunAsync( array $args = [] )
 * @method Result getJobRuns( array $args = [] )
 * @method Promise getJobRunsAsync( array $args = [] )
 * @method Result getJobs( array $args = [] )
 * @method Promise getJobsAsync( array $args = [] )
 * @method Result getMapping( array $args = [] )
 * @method Promise getMappingAsync( array $args = [] )
 * @method Result getPartition( array $args = [] )
 * @method Promise getPartitionAsync( array $args = [] )
 * @method Result getPartitions( array $args = [] )
 * @method Promise getPartitionsAsync( array $args = [] )
 * @method Result getPlan( array $args = [] )
 * @method Promise getPlanAsync( array $args = [] )
 * @method Result getResourcePolicy( array $args = [] )
 * @method Promise getResourcePolicyAsync( array $args = [] )
 * @method Result getSecurityConfiguration( array $args = [] )
 * @method Promise getSecurityConfigurationAsync( array $args = [] )
 * @method Result getSecurityConfigurations( array $args = [] )
 * @method Promise getSecurityConfigurationsAsync( array $args = [] )
 * @method Result getTable( array $args = [] )
 * @method Promise getTableAsync( array $args = [] )
 * @method Result getTableVersion( array $args = [] )
 * @method Promise getTableVersionAsync( array $args = [] )
 * @method Result getTableVersions( array $args = [] )
 * @method Promise getTableVersionsAsync( array $args = [] )
 * @method Result getTables( array $args = [] )
 * @method Promise getTablesAsync( array $args = [] )
 * @method Result getTags( array $args = [] )
 * @method Promise getTagsAsync( array $args = [] )
 * @method Result getTrigger( array $args = [] )
 * @method Promise getTriggerAsync( array $args = [] )
 * @method Result getTriggers( array $args = [] )
 * @method Promise getTriggersAsync( array $args = [] )
 * @method Result getUserDefinedFunction( array $args = [] )
 * @method Promise getUserDefinedFunctionAsync( array $args = [] )
 * @method Result getUserDefinedFunctions( array $args = [] )
 * @method Promise getUserDefinedFunctionsAsync( array $args = [] )
 * @method Result getWorkflow( array $args = [] )
 * @method Promise getWorkflowAsync( array $args = [] )
 * @method Result getWorkflowRun( array $args = [] )
 * @method Promise getWorkflowRunAsync( array $args = [] )
 * @method Result getWorkflowRunProperties( array $args = [] )
 * @method Promise getWorkflowRunPropertiesAsync( array $args = [] )
 * @method Result getWorkflowRuns( array $args = [] )
 * @method Promise getWorkflowRunsAsync( array $args = [] )
 * @method Result importCatalogToGlue( array $args = [] )
 * @method Promise importCatalogToGlueAsync( array $args = [] )
 * @method Result listCrawlers( array $args = [] )
 * @method Promise listCrawlersAsync( array $args = [] )
 * @method Result listDevEndpoints( array $args = [] )
 * @method Promise listDevEndpointsAsync( array $args = [] )
 * @method Result listJobs( array $args = [] )
 * @method Promise listJobsAsync( array $args = [] )
 * @method Result listTriggers( array $args = [] )
 * @method Promise listTriggersAsync( array $args = [] )
 * @method Result listWorkflows( array $args = [] )
 * @method Promise listWorkflowsAsync( array $args = [] )
 * @method Result putDataCatalogEncryptionSettings( array $args = [] )
 * @method Promise putDataCatalogEncryptionSettingsAsync( array $args = [] )
 * @method Result putResourcePolicy( array $args = [] )
 * @method Promise putResourcePolicyAsync( array $args = [] )
 * @method Result putWorkflowRunProperties( array $args = [] )
 * @method Promise putWorkflowRunPropertiesAsync( array $args = [] )
 * @method Result resetJobBookmark( array $args = [] )
 * @method Promise resetJobBookmarkAsync( array $args = [] )
 * @method Result startCrawler( array $args = [] )
 * @method Promise startCrawlerAsync( array $args = [] )
 * @method Result startCrawlerSchedule( array $args = [] )
 * @method Promise startCrawlerScheduleAsync( array $args = [] )
 * @method Result startJobRun( array $args = [] )
 * @method Promise startJobRunAsync( array $args = [] )
 * @method Result startTrigger( array $args = [] )
 * @method Promise startTriggerAsync( array $args = [] )
 * @method Result startWorkflowRun( array $args = [] )
 * @method Promise startWorkflowRunAsync( array $args = [] )
 * @method Result stopCrawler( array $args = [] )
 * @method Promise stopCrawlerAsync( array $args = [] )
 * @method Result stopCrawlerSchedule( array $args = [] )
 * @method Promise stopCrawlerScheduleAsync( array $args = [] )
 * @method Result stopTrigger( array $args = [] )
 * @method Promise stopTriggerAsync( array $args = [] )
 * @method Result tagResource( array $args = [] )
 * @method Promise tagResourceAsync( array $args = [] )
 * @method Result untagResource( array $args = [] )
 * @method Promise untagResourceAsync( array $args = [] )
 * @method Result updateClassifier( array $args = [] )
 * @method Promise updateClassifierAsync( array $args = [] )
 * @method Result updateConnection( array $args = [] )
 * @method Promise updateConnectionAsync( array $args = [] )
 * @method Result updateCrawler( array $args = [] )
 * @method Promise updateCrawlerAsync( array $args = [] )
 * @method Result updateCrawlerSchedule( array $args = [] )
 * @method Promise updateCrawlerScheduleAsync( array $args = [] )
 * @method Result updateDatabase( array $args = [] )
 * @method Promise updateDatabaseAsync( array $args = [] )
 * @method Result updateDevEndpoint( array $args = [] )
 * @method Promise updateDevEndpointAsync( array $args = [] )
 * @method Result updateJob( array $args = [] )
 * @method Promise updateJobAsync( array $args = [] )
 * @method Result updatePartition( array $args = [] )
 * @method Promise updatePartitionAsync( array $args = [] )
 * @method Result updateTable( array $args = [] )
 * @method Promise updateTableAsync( array $args = [] )
 * @method Result updateTrigger( array $args = [] )
 * @method Promise updateTriggerAsync( array $args = [] )
 * @method Result updateUserDefinedFunction( array $args = [] )
 * @method Promise updateUserDefinedFunctionAsync( array $args = [] )
 * @method Result updateWorkflow( array $args = [] )
 * @method Promise updateWorkflowAsync( array $args = [] )
 */
class GlueClient extends AwsClient {
}
