<?php

namespace Aws\MediaLive;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **AWS Elemental MediaLive** service.
 * @method Result batchUpdateSchedule( array $args = [] )
 * @method Promise batchUpdateScheduleAsync( array $args = [] )
 * @method Result createChannel( array $args = [] )
 * @method Promise createChannelAsync( array $args = [] )
 * @method Result createInput( array $args = [] )
 * @method Promise createInputAsync( array $args = [] )
 * @method Result createInputSecurityGroup( array $args = [] )
 * @method Promise createInputSecurityGroupAsync( array $args = [] )
 * @method Result createTags( array $args = [] )
 * @method Promise createTagsAsync( array $args = [] )
 * @method Result deleteChannel( array $args = [] )
 * @method Promise deleteChannelAsync( array $args = [] )
 * @method Result deleteInput( array $args = [] )
 * @method Promise deleteInputAsync( array $args = [] )
 * @method Result deleteInputSecurityGroup( array $args = [] )
 * @method Promise deleteInputSecurityGroupAsync( array $args = [] )
 * @method Result deleteReservation( array $args = [] )
 * @method Promise deleteReservationAsync( array $args = [] )
 * @method Result deleteSchedule( array $args = [] )
 * @method Promise deleteScheduleAsync( array $args = [] )
 * @method Result deleteTags( array $args = [] )
 * @method Promise deleteTagsAsync( array $args = [] )
 * @method Result describeChannel( array $args = [] )
 * @method Promise describeChannelAsync( array $args = [] )
 * @method Result describeInput( array $args = [] )
 * @method Promise describeInputAsync( array $args = [] )
 * @method Result describeInputSecurityGroup( array $args = [] )
 * @method Promise describeInputSecurityGroupAsync( array $args = [] )
 * @method Result describeOffering( array $args = [] )
 * @method Promise describeOfferingAsync( array $args = [] )
 * @method Result describeReservation( array $args = [] )
 * @method Promise describeReservationAsync( array $args = [] )
 * @method Result describeSchedule( array $args = [] )
 * @method Promise describeScheduleAsync( array $args = [] )
 * @method Result listChannels( array $args = [] )
 * @method Promise listChannelsAsync( array $args = [] )
 * @method Result listInputSecurityGroups( array $args = [] )
 * @method Promise listInputSecurityGroupsAsync( array $args = [] )
 * @method Result listInputs( array $args = [] )
 * @method Promise listInputsAsync( array $args = [] )
 * @method Result listOfferings( array $args = [] )
 * @method Promise listOfferingsAsync( array $args = [] )
 * @method Result listReservations( array $args = [] )
 * @method Promise listReservationsAsync( array $args = [] )
 * @method Result listTagsForResource( array $args = [] )
 * @method Promise listTagsForResourceAsync( array $args = [] )
 * @method Result purchaseOffering( array $args = [] )
 * @method Promise purchaseOfferingAsync( array $args = [] )
 * @method Result startChannel( array $args = [] )
 * @method Promise startChannelAsync( array $args = [] )
 * @method Result stopChannel( array $args = [] )
 * @method Promise stopChannelAsync( array $args = [] )
 * @method Result updateChannel( array $args = [] )
 * @method Promise updateChannelAsync( array $args = [] )
 * @method Result updateChannelClass( array $args = [] )
 * @method Promise updateChannelClassAsync( array $args = [] )
 * @method Result updateInput( array $args = [] )
 * @method Promise updateInputAsync( array $args = [] )
 * @method Result updateInputSecurityGroup( array $args = [] )
 * @method Promise updateInputSecurityGroupAsync( array $args = [] )
 * @method Result updateReservation( array $args = [] )
 * @method Promise updateReservationAsync( array $args = [] )
 */
class MediaLiveClient extends AwsClient {
}
